// ENCODED POLYLINES
// ROUTE 87:  "y|{cGtum`MdIVHfHwCLsDmIa@pB`K`SbAoCvFR~@eBjAn@mAhBeAu@sFQ_AjC|EhKfNpy@rNlb@lFbXuCfc@hsAnVwD|[gLkAq_@qH~Bu]}c@yHyEto@u@hq@nXdIlG~D@vE|g@jH^wFwh@aGgIaMeHhB"
// ROUTE 286: "s|pcGvyh`Me@i@a@r@b@h@`@q@x@IKlf@aAzFoEjKw@fDaDxWuAvSeBpMgDxFyB`EcA`FkFnYeE~\_CdQqBrE_FtFqIbPoBjJsAnBcQ`PyDpEiDrCkNlJcFnc@sOaPtE_D|JpKbD}YoFfFqOdKyF~DcKtLeFdG_FpLyAnFgB`AkLvBcAbBt@vM[vBaClD_CmBuMyCgIqAcBAa_@aHnCmb@tA}Ah@sFhBgGt@cCWwAoDmCoImK{AkBk@_@j@`@|AjBnIlKpDlCRzA}CxJq@hGoAhAmCvb@zLdC{AfQo@rEe@n@cB~@oCjCo@hEcCi@z@bFOhDqAxFaCfHnAbBDbFtg@|G`@wF}h@yGkAyA|DiMbBwL"
// ROUTE 289: "ap{cGtit`MtZlFdy@hOkCfX_HtFs@tE{Bi@v@xHfAmGcCk@z@nI_FtQhAnBBjEbh@jHxA{ZoAgHhBiLrA{FrLkBvFkCrFmJs@wRtQsDhIqUrPoRnH{FrOjPWxEbDbNbGlH}H~BcCtFx@pL{@dBeBH{MgJpNcf@g@wBxCwAvA_L_KgK}EtCmHvFcP`SwIhToQzEp@dRwF|IyF`DwLpBeEtS{BfJkAzOwb@{F"

// I think that eventually we should create a custom object for each stop, a list of lists is pretty clunky
final busPolylines = [
  polyline_87, polyline_286, polyline_289
];


// File to hold a bunch of lists for our listbuilders
final shuttleStopLists = [south_stops, north_stops, west_stops, weekend_express_stops];
final shuttleTimeLists = [
  weekday_south.expand((i) => i).toList(), 
  weekday_north.expand((i) => i).toList(), 
  weekday_west.expand((i) => i).toList(),
  weekend_express.expand((i) => i).toList()
];
final busStopLists = [
  stops_87,
  stops_286,
  stops_289,

];
final busTimeLists = [
  times_87.expand((i) => i).toList(),
  times_286.expand((i) => i).toList(),
  times_289.expand((i) => i).toList(),
];

// Shuttle Schedules //
const List<List<String>> north_stops = [
  ["Union to Troy Crosswalk","42.73029109316892","-73.67655873298646","1"],
  ["Troy Crosswalk to 9th St","42.7312289168093","-73.6801850795746","26"],
  ["9th St to Alumni House","42.7328759845107","-73.6825019716889","28"],
  ["Alumni House to Jacob","42.73328577446417","-73.67845773696901","13"],
  ["Jacob to Colonie","42.73433031016419","-73.6761257175685","31"],
  ["Colonie to Georgian","42.73637487312414","-73.67058759924475","14"],
  ["Georgian to Brinsmade","42.736894431805204","-73.6668883604528","39"],
  ["Brinsmade to Sunset 1","42.73565383452506","-73.66511642932893","15"],
  ["Sunset 1 to Sunset 2","42.73445074085895","-73.66340217450477","24"],
  ["Sunset 2 to E-Lot","42.73265532726045","-73.66520762443544","17"],
  ["E-Lot to B-Lot","42.731418","-73.666462","21"],
  ["B-Lot to Union","42.731635","-73.669706","18"],
];

const List<List<String>> south_stops = [
  ["Union to B-Lot","42.73029109316892","-73.67655873298646","1"],
  ["B-Lot to LXA","42.731635","-73.669706","18"],
  ["LXA to Tibitts/Orchard","42.730603231713005","-73.66728060672497","23"],
  ["Tibitts/Orchard to Polytech","42.72538585964356","-73.66795652333111","33"],
  ["Polytech to 15th/College","42.72264515147823","-73.67949028031151","34"],
];

const List<List<String>> west_stops = [
  ["Union to CBIS/AH","42.73029109316892","-73.67655873298646","1"],
  ["CBIS/AH to 15th/Off Commons","42.727836972407424","-73.6781703753778","35"],
  ["15th/Off Commons to 15th/Poly","42.726823386814196","-73.67809295654298","12"],
  ["15th/Poly to City Station","42.723073","-73.680344","11"],
  ["City Station to Blitman","42.72739","-73.687328","10"],
  ["Blitman to Winslow","42.73080144429565","-73.68637887775277","38"],
  ["Winslow to West","42.731534","-73.68416","20"],
  ["West to 87 Gym","42.7315441484621","-73.6813545227051","27"],
  ["87 Gym to Union","42.73122584540517","-73.68019812550736","29"],
];

const List<List<String>> weekend_express_stops = [
  ["15th/Col. to Union","lat","long","id"],
  ["Union to Colonie","lat","long","id"],
  ["Colonie to Brinsmade","lat","long","id"],
  ["Brinsmade to Sunset 1&2","lat","long","id"],
  ["Sunset 1&2 to E-Lot","lat","long","id"],
  ["E-lot to B-Lot","lat","long","id"],
  ["B-lot to 13th/Peoples","lat","long","id"],
  ["13th/Peoples to Blitman","lat","long","id"],
  ["Blitman to City Stat.","lat","long","id"],
  ["City Stat. to Poly","lat","long","id"],
  ["Poly to 15th/Col.", "lat","long","id"],
];

const List<List<String>> weekend_express = [
  ["4:30p","4:33p","4:36p","4:37p","4:38p","4:39p","4:41p","4:43p","4:45p","4:48p","4:49p","- - - -"],
  ["4:50p","4:53p","4:56p","4:57p","4:58p","4:59p","5:01p","5:03p","5:05p","5:08p","5:09p","- - - -"],
  ["5:10p","5:13p","5:16p","5:17p","5:18p","5:19p","5:21p","5:23p","5:25p","5:28p","5:29p","- - - -"],
  ["5:30p","5:33p","5:36p","5:37p","5:38p","5:39p","5:41p","5:43p","5:45p","5:48p","5:49p","- - - -"],
  ["5:50p","5:53p","5:56p","5:57p","5:58p","5:59p","6:01p","6:03p","6:05p","6:08p","6:09p","- - - -"],
  ["6:10p","6:13p","6:16p","6:17p","6:18p","6:19p","6:21p","6:23p","6:25p","6:28p","6:39p","6:40p"],
  ["6:30p","6:33p","6:36p","6:37p","6:38p","6:39p","6:41p","6:43P","6:45p","6:48p","6:49p","- - - -"],
  ["6:50p","6:53p","6:56p","6:57p","6:58p","6:59p","7:01p","7:03p","7:05p","7:08p","7:09p","- - - -"],
  ["7:10p","7:13p","7:16p","7:17p","7:18p","7:19p","7:21p","7:23p","7:25p","7:28p","7:29p","- - - -"],
  ["7:30p","7:33p","7:36p","7:37p","7:38p","7:39p","7:41p","7:43p","7:45p","7:48p","7:49p","7:50p"]
];

const List<List<String>> weekday_south = [
  ["7:15am","7:17am","7:18am","7:20am","7:23am","7:25am"],
  ["7:27am","7:29am","7:30am","7:32am","7:35am","7:37am"],
  ["7:39am","7:41am","7:42am","7:44am","7:47am","7:49am"],
  ["7:51am","7:53am","7:54am","7:56am","7:59am","8:01am"],
  ["8:03am","8:05am","8:06am","8:08am","8:11am","8:13am"],
  ["8:15am","8:17am","8:18am","8:20am","8:23am","8:25am"],
  ["8:27am","8:29am","8:30am","8:32am","8:35am","8:37am"],
  ["8:39am","8:41am","8:42am","8:44am","8:47am","8:49am"],
  ["8:51am","8:53am","8:54am","8:56am","8:59am","9:01am"],
  ["9:03am","9:05am","9:06am","9:08am","9:11am","9:13am"],
  ["9:15am","9:17am","9:18am","9:20am","9:23am","9:25am"],
  ["9:20am","9:22am","9:23am","9:25am","9:28am","9:30am"],
  ["9:32am","9:34am","9:35am","9:37am","9:40am","9:42am"],
  ["9:44am","9:46am","9:47am","9:49am","9:52am","9:54am"],
  ["9:56am","9:58am","9:59am","10:01am","10:04am","10:06am"],
  ["10:08am","10:10am","10:11am","10:13am","10:16am","10:18am"],
  ["10:20am","10:22am","10:23am","10:25am","10:28am","10:30am"],
  ["10:32am","10:34am","10:35am","10:37am","10:40am","10:42am"],
  ["10:44am","10:46am","10:47am","10:49am","10:52am","10:54am"],
  ["10:56am","10:58am","10:59am","11:01am","11:04am","11:06am"],
  ["11:08am","11:10am","11:11am","11:13am","11:16am","11:18am"],
  ["11:20am","11:22am","11:23am","11:25am","11:28am","11:30am"],
  ["11:32am","11:34am","11:35am","11:37am","11:40am","11:42am"],
  ["11:44am","11:46am","11:47am","11:49am","11:52am","11:54am"],
  ["11:56am","11:58am","11:59am","12:01pm","12:04pm","12:06pm"],
  ["12:08pm","12:10pm","12:11pm","12:13pm","12:16pm","12:18pm"],
  ["12:20pm","12:22pm","12:23pm","12:25pm","12:28pm","12:30pm"],
  ["12:44pm","12:46pm","12:47pm","12:49pm","12:52pm","12:54pm"],
  ["12:56pm","12:58pm","12:59pm","1:01pm","1:04pm","1:06pm"],
  ["1:08pm","1:10pm","1:11pm","1:13pm","1:16pm","1:18pm"],
  ["1:20pm","1:22pm","1:23pm","1:25pm","1:28pm","1:30pm"],
  ["1:44pm","1:46pm","1:47pm","1:49pm","1:52pm","1:54pm"],
  ["1:56pm","1:58pm","1:59pm","2:01pm","2:04pm","2:06pm"],
  ["2:08pm","2:10pm","2:11pm","2:13pm","2:16pm","2:18pm"],
  ["2:20pm","2:22pm","2:23pm","2:25pm","2:28pm","2:30pm"],
  ["2:44pm","2:46pm","2:47pm","2:49pm","2:52pm","2:54pm"],
  ["2:56pm","2:58pm","2:59pm","3:01pm","3:04pm","3:06pm"],
  ["3:08pm","3:10pm","3:11pm","3:13pm","3:16pm","3:18pm"],
  ["3:20pm","3:22pm","3:23pm","3:25pm","3:28pm","3:30pm"],
  ["3:44pm","3:46pm","3:47pm","3:49pm","3:52pm","3:54pm"],
  ["3:56pm","3:58pm","3:59pm","4:01pm","4:04pm","4:06pm"],
  ["4:08pm","4:10pm","4:11pm","4:13pm","4:16pm","4:18pm"],
  ["4:20pm","4:22pm","4:23pm","4:25pm","4:28pm","4:30pm"],
  ["4:44pm","4:46pm","4:47pm","4:49pm","4:52pm","4:54pm"],
  ["4:50pm","4:52pm","4:53pm","4:55pm","4:58pm","5:00pm"],
  ["4:56pm","4:58pm","4:59pm","5:01pm","5:04pm","5:06pm"],
  ["5:02pm","5:04pm","5:05pm","5:07pm","5:10pm","5:12pm"],
  ["5:14pm","5:16pm","5:17pm","5:19pm","5:22pm","5:24pm"],
  ["5:26pm","5:28pm","5:29pm","5:31pm","5:34pm","5:36pm"],
  ["5:38pm","5:40pm","5:41pm","5:43pm","5:46pm","5:48pm"],
  ["5:50pm","5:52pm","5:53pm","5:55pm","5:58pm","6:00pm"],
  ["6:02pm","6:04pm","6:05pm","6:07pm","6:10pm","6:12pm"],
  ["6:14pm","6:16pm","6:17pm","6:19pm","6:22pm","6:24pm"],
  ["6:26pm","6:28pm","6:29pm","6:31pm","6:34pm","6:36pm"],
  ["6:38pm","6:40pm","6:41pm","6:43pm","6:46pm","6:48pm"],
  ["6:50pm","6:52pm","6:53pm","6:55pm","6:58pm","7:00pm"],
  ["7:02pm","7:04pm","7:05pm","7:07pm","7:10pm","7:12pm"],
  ["7:14pm","7:16pm","7:17pm","7:19pm","7:22pm","7:24pm"],
  ["7:20pm","7:22pm","7:23pm","7:25pm","7:28pm","7:30pm"],
  ["7:26pm","7:28pm","7:29pm","7:31pm","7:34pm","7:36pm"],
  ["7:32pm","7:34pm","7:35pm","7:37pm","7:40pm","7:42pm"],
  ["7:38pm","7:40pm","7:41pm","7:43pm","7:46pm","7:48pm"],
  ["7:44pm","7:46pm","7:47pm","7:49pm","7:52pm","7:54pm"],
  ["7:50pm","7:52pm","7:53pm","7:55pm","7:58pm","8:00pm"],
  ["7:56pm","7:58pm","7:59pm","8:01pm","8:04pm","8:06pm"],
  ["8:02pm","8:04pm","8:05pm","8:07pm","8:10pm","8:12pm"],
  ["8:08pm","8:10pm","8:11pm","8:13pm","8:16pm","8:18pm"],
  ["8:20pm","8:22pm","8:23pm","8:25pm","8:28pm","8:30pm"],
  ["8:32pm","8:34pm","8:35pm","8:37pm","8:40pm","8:42pm"],
  ["8:44pm","8:46pm","8:47pm","8:49pm","8:52pm","8:54pm"],
  ["8:56pm","8:58pm","8:59pm","9:01pm","9:04pm","9:06pm"],
  ["9:08pm","9:10pm","9:11pm","9:13pm","9:16pm","9:18pm"],
  ["9:20pm","9:22pm","9:23pm","9:25pm","9:28pm","9:30pm"],
  ["9:32pm","9:34pm","9:35pm","9:37pm","9:40pm","9:42pm"],
  ["9:44pm","9:46pm","9:47pm","9:49pm","9:52pm","9:54pm"],
  ["9:56pm","9:58pm","9:59pm","10:01pm","10:04pm","10:06pm"],
  ["10:08pm","10:10pm","10:11pm","10:13pm","10:16pm","10:18pm"],
  ["10:20pm","10:22pm","10:23pm","10:25pm","10:28pm","10:30pm"],
  ["10:32pm","10:34pm","10:35pm","10:37pm","10:40pm","10:42pm"]
];

const List<List<String>> weekday_north = [
  ["7:00am","7:02am","7:03am","7:04am","7:06am","7:08am","7:10am","7:11am","7:12am","7:13am","7:14am","7:15am"],
  ["7:18am","7:20am","7:21am","7:22am","7:24am","7:26am","7:28am","7:29am","7:30am","7:31am","7:32am","7:33am"],
  ["7:36am","7:38am","7:39am","7:40am","7:42am","7:44am","7:46am","7:47am","7:48am","7:49am","7:50am","7:51am"],
  ["7:54am","7:56am","7:57am","7:58am","8:00am","8:02am","8:03am","8:04am","8:05am","8:06am","8:07am","8:08am"],
  ["8:11am","8:13am","8:14am","8:15am","8:17am","8:19am","8:20am","8:21am","8:22am","8:23am","8:24am","8:25am"],
  ["8:20am","8:22am","8:23am","8:24am","8:26am","8:28am","8:30am","8:31am","8:32am","8:33am","8:34am","8:35am"],
  ["8:28am","8:30am","8:31am","8:32am","8:34am","8:36am","8:37am","8:38am","8:39am","8:40am","8:41am","8:42am"],
  ["8:38am","8:40am","8:41am","8:42am","8:44am","8:46am","8:48am","8:49am","8:50am","8:51am","8:52am","8:53am"],
  ["8:45am","8:47am","8:48am","8:49am","8:51am","8:53am","8:55am","8:56am","8:57am","8:58am","8:59am","9:00am"],
  ["8:56am","8:58am","8:59am","9:00am","9:02am","9:04am","9:06am","9:07am","9:08am","9:09am","9:10am","9:11am"],
  ["9:03am","9:05am","9:06am","9:07am","9:09am","9:11am","9:13am","9:14am","9:15am","9:16am","9:17am","9:18am"],
  ["9:14am","9:16am","9:17am","9:18am","9:20am","9:22am","9:24am","9:25am","9:26am","9:27am","9:28am","9:29am"],
  ["9:21am","9:23am","9:24am","9:25am","9:27am","9:29am","9:31am","9:32am","9:33am","9:34am","9:35am","9:36am"],
  ["9:32am","9:34am","9:35am","9:36am","9:38am","9:40am","9:42am","9:43am","9:44am","9:45am","9:46am","9:47am"],
  ["9:39am","9:41am","9:42am","9:43am","9:45am","9:47am","9:49am","9:50am","9:51am","9:52am","9:53am","9:54am"],
  ["9:50am","9:52am","9:53am","9:54am","9:56am","9:58am","10:00am","10:01am","10:02am","10:03am","10:04am","10:05am"],
  ["9:57am","9:59am","10:00am","10:01am","10:03am","10:05am","10:07am","10:08am","10:09am","10:10am","10:11am","10:12am"],
  ["10:08am","10:10am","10:11am","10:12am","10:14am","10:16am","10:18am","10:19am","10:20am","10:21am","10:22am","10:23am"],
  ["10:15am","10:17am","10:18am","10:19am","10:21am","10:23am","10:25am","10:26am","10:27am","10:28am","10:29am","10:30am"],
  ["10:26am","10:28am","10:29am","10:30am","10:32am","10:34am","10:36am","10:37am","10:38am","10:39am","10:40am","10:41am"],
  ["10:33am","10:35am","10:36am","10:37am","10:39am","10:41am","10:43am","10:44am","10:45am","10:46am","10:47am","10:48am"],
  ["10:44am","10:46am","10:47am","10:48am","10:50am","10:52am","10:54am","10:55am","10:56am","10:57am","10:58am","10:59am"],
  ["10:51am","10:53am","10:54am","10:55am","10:57am","10:59am","11:01am","11:02am","11:03am","11:04am","11:05am","11:06am"],
  ["11:02am","11:04am","11:05am","11:06am","11:08am","11:10am","11:12am","11:13am","11:14am","11:15am","11:16am","11:17am"],
  ["11:09am","11:11am","11:12am","11:13am","11:15am","11:17am","11:19am","11:20am","11:21am","11:22am","11:23am","11:24am"],
  ["11:20am","11:22am","11:23am","11:24am","11:26am","11:28am","11:30am","11:31am","11:32am","11:33am","11:34am","11:35am"],
  ["11:27am","11:29am","11:30am","11:31am","11:33am","11:35am","11:37am","11:38am","11:39am","11:40am","11:41am","11:42am"],
  ["11:38am","11:40am","11:41am","11:42am","11:44am","11:46am","11:48am","11:49am","11:50am","11:51am","11:52am","11:53am"],
  ["11:45am","11:47am","11:48am","11:49am","11:51am","11:53am","11:55am","11:56am","11:57am","11:58am","11:59am","12:00pm"],
  ["11:56am","11:58am","11:59am","12:00pm","12:02pm","12:04pm","12:06pm","12:07pm","12:08pm","12:09pm","12:10pm","12:11pm"],
  ["12:03pm","12:05pm","12:06pm","12:07pm","12:09pm","12:11pm","12:13pm","12:14pm","12:15pm","12:16pm","12:17pm","12:18pm"],
  ["12:14pm","12:16pm","12:17pm","12:18pm","12:20pm","12:22pm","12:24pm","12:25pm","12:26pm","12:27pm","12:28pm","12:29pm"],
  ["12:20pm","12:22pm","12:23pm","12:24pm","12:26pm","12:28pm","12:30pm","12:31pm","12:32pm","12:33pm","12:34pm","12:35pm"],
  ["12:21pm","12:23pm","12:24pm","12:25pm","12:27pm","12:29pm","12:31pm","12:32pm","12:33pm","12:34pm","12:35pm","12:36pm"],
  ["12:32pm","12:34pm","12:35pm","12:36pm","12:38pm","12:40pm","12:42pm","12:43pm","12:44pm","12:45pm","12:46pm","12:47pm"],
  ["12:39pm","12:41pm","12:42pm","12:43pm","12:45pm","12:47pm","12:49pm","12:50pm","12:51pm","12:52pm","12:53pm","12:54pm"],
  ["12:56pm","12:58pm","12:59pm","1:00pm","1:02pm","1:04pm","1:06pm","1:07pm","1:08pm","1:09pm","1:10pm","1:11pm"],
  ["12:57pm","12:59pm","1:00pm","1:02pm","1:04pm","1:06pm","1:08pm","1:09pm","1:10pm","1:11pm","1:12pm","1:13pm"],
  ["1:14pm","1:16pm","1:17pm","1:18pm","1:20pm","1:22pm","1:24pm","1:26pm","1:27pm","1:28pm","1:29pm","1:30pm"],
  ["1:16pm","1:18pm","1:19pm","1:21pm","1:23pm","1:25pm","1:27pm","1:28pm","1:29pm","1:30pm","1:31pm","1:32pm"],
  ["1:33pm","1:35pm","1:36pm","1:37pm","1:39pm","1:41pm","1:43pm","1:44pm","1:45pm","1:46pm","1:47pm","1:43pm"],
  ["1:35pm","1:37pm","1:38pm","1:39pm","1:41pm","1:43pm","1:45pm","1:46pm","1:47pm","1:48pm","1:49pm","1:50pm"],
  ["1:46pm","1:48pm","1:49pm","1:50pm","1:52pm","1:54pm","1:56pm","1:57pm","1:58pm","1:59pm","2:00pm","2:01pm"],
  ["1:53pm","1:55pm","1:56pm","1:57pm","1:59pm","2:01pm","2:03pm","2:04pm","2:05pm","2:06pm","2:07pm","2:08pm"],
  ["2:04pm","2:06pm","2:07pm","2:08pm","2:10pm","2:12pm","2:14pm","2:15pm","2:16pm","2:17pm","2:18pm","2:19pm"],
  ["2:11pm","2:13pm","2:14pm","2:15pm","2:17pm","2:19pm","2:21pm","2:22pm","2:23pm","2:24pm","2:25pm","2:26pm"],
  ["2:22pm","2:24pm","2:25pm","2:26pm","2:28pm","2:30pm","2:32pm","2:31pm","2:32pm","2:33pm","2:34pm","2:35pm"],
  ["2:29pm","2:31pm","2:32pm","2:33pm","2:35pm","2:37pm","2:39pm","2:40pm","2:41pm","2:42pm","2:43pm","2:44pm"],
  ["2:38pm","2:40pm","2:41pm","2:42pm","2:44pm","2:46pm","2:48pm","2:49pm","2:50pm","2:51pm","2:52pm","2:53pm"],
  ["2:50pm","2:52pm","2:53pm","2:54pm","2:56pm","2:58pm","3:00pm","3:01pm","3:02pm","3:03pm","3:04pm","3:05pm"],
  ["2:56pm","2:58pm","2:59pm","3:00pm","3:02pm","3:04pm","3:06pm","3:08pm","3:10pm","3:11pm","3:12pm","3:13pm"],
  ["3:00pm","3:02pm","3:03pm","3:04pm","3:06pm","3:08pm","3:10pm","3:11pm","3:12pm","3:13pm","3:14pm","3:15pm"],
  ["3:08pm","3:10pm","3:11pm","3:12pm","3:14pm","3:16pm","3:18pm","3:19pm","3:20pm","3:21pm","3:22pm","3:23pm"],
  ["3:16pm","3:18pm","3:19pm","3:20pm","3:22pm","3:24pm","3:26pm","3:27pm","3:28pm","3:29pm","3:30pm","3:31pm"],
  ["3:18pm","3:20pm","3:21pm","3:22pm","3:24pm","3:26pm","3:28pm","3:29pm","3:30pm","3:31pm","3:32pm","3:33pm"],
  ["3:26pm","3:28pm","3:29pm","3:30pm","3:32pm","3:34pm","3:36pm","3:37pm","3:38pm","3:39pm","3:40pm","3:41pm"],
  ["3:34pm","3:36pm","3:37pm","3:38pm","3:40pm","3:42pm","3:44pm","3:45pm","3:46pm","3:47pm","3:48pm","3:49pm"],
  ["3:36pm","3:38pm","3:39pm","3:40pm","3:42pm","3:44pm","3:46pm","3:47pm","3:48pm","3:49pm","3:50pm","3:51pm"],
  ["3:44pm","3:46pm","3:47pm","3:48pm","3:50pm","3:52pm","3:54pm","3:55pm","3:56pm","3:57pm","3:58pm","3:59pm"],
  ["3:52pm","3:54pm","3:55pm","3:56pm","3:58pm","4:00pm","4:02pm","4:03pm","4:04pm","4:05pm","4:06pm","4:07pm"],
  ["3:54pm","3:56pm","3:57pm","3:58pm","4:00pm","4:02pm","4:04pm","4:05pm","4:06pm","4:07pm","4:08pm","4:09pm"],
  ["4:02pm","4:04pm","4:05pm","4:06pm","4:08pm","4:10pm","4:12pm","4:13pm","4:14pm","4:15pm","4:16pm","4:17pm"],
  ["4:12pm","4:14pm","4:15pm","4:16pm","4:18pm","4:20pm","4:22pm","4:23pm","4:24pm","4:25pm","4:26pm","4:27pm"],
  ["4:20pm","4:22pm","4:23pm","4:24pm","4:26pm","4:28pm","4:30pm","4:31pm","4:32pm","4:33pm","4:34pm","4:35pm"],
  ["4:30pm","4:32pm","4:33pm","4:34pm","4:36pm","4:38pm","4:40pm","4:41pm","4:42pm","4:43pm","4:44pm","4:45pm"],
  ["4:38pm","4:40pm","4:41pm","4:42pm","4:44pm","4:46pm","4:48pm","4:49pm","4:50pm","4:51pm","4:52pm","4:53pm"],
  ["4:48pm","4:50pm","4:51pm","4:52pm","4:54pm","4:56pm","4:58pm","4:59pm","5:00pm","5:01pm","5:02pm","5:03pm"],
  ["4:56pm","4:58pm","4:59pm","5:00pm","5:02pm","5:04pm","5:06pm","5:07pm","5:08pm","5:09pm","5:10pm","5:11pm"],
  ["5:06pm","5:08pm","5:09pm","5:10pm","5:12pm","5:14pm","5:16pm","5:17pm","5:18pm","5:19pm","5:20pm","5:21pm"],
  ["5:14pm","5:16pm","5:17pm","5:18pm","5:20pm","5:22pm","5:24pm","5:25pm","5:26pm","5:27pm","5:28pm","5:29pm"],
  ["5:24pm","5:26pm","5:27pm","5:28pm","5:30pm","5:32pm","5:34pm","5:35pm","5:36pm","5:37pm","5:38pm","5:39pm"],
  ["5:32pm","5:34pm","5:35pm","5:36pm","5:38pm","5:40pm","5:42pm","5:43pm","5:44pm","5:45pm","5:46pm","5:47pm"],
  ["5:42pm","5:44pm","5:45pm","5:46pm","5:48pm","5:50pm","5:52pm","5:53pm","5:54pm","5:55pm","5:56pm","5:57pm"],
  ["5:50pm","5:52pm","5:53pm","5:54pm","5:56pm","5:58pm","6:00pm","6:01pm","6:02pm","6:03pm","6:04pm","6:05pm"],
  ["6:00pm","6:02pm","6:03pm","6:04pm","6:06pm","6:08pm","6:10pm","6:11pm","6:12pm","6:13pm","6:14pm","6:15pm"],
  ["6:18pm","6:20pm","6:21pm","6:22pm","6:24pm","6:26pm","6:28pm","6:29pm","6:30pm","6:31pm","6:32pm","6:33pm"],
  ["6:36pm","6:38pm","6:39pm","6:40pm","6:42pm","6:44pm","6:46pm","6:47pm","6:48pm","6:49pm","6:50pm","6:51pm"],
  ["6:54pm","6:56pm","6:57pm","6:58pm","7:00pm","7:02pm","7:04pm","7:05pm","7:06pm","7:07pm","7:08pm","7:09pm"],
  ["7:12pm","7:14pm","7:15pm","7:16pm","7:18pm","7:20pm","7:22pm","7:23pm","7:24pm","7:25pm","7:26pm","7:27pm"],
  ["7:30pm","7:32pm","7:33pm","7:34pm","7:36pm","7:38pm","7:40pm","7:41pm","7:42pm","7:43pm","7:44pm","7:45pm"],
  ["7:48pm","7:50pm","7:51pm","7:52pm","7:54pm","7:56pm","7:58pm","7:59pm","8:00pm","8:01pm","8:02pm","8:03pm"],
  ["8:06pm","8:08pm","8:09pm","8:10pm","8:12pm","8:14pm","8:16pm","8:17pm","8:18pm","8:19pm","8:20pm","8:21pm"],
  ["8:24pm","8:26pm","8:27pm","8:28pm","8:30pm","8:32pm","8:34pm","8:35pm","8:36pm","8:37pm","8:38pm","8:39pm"],
  ["8:42pm","8:44pm","8:45pm","8:46pm","8:48pm","8:50pm","8:52pm","8:53pm","8:54pm","8:55pm","8:56pm","8:57pm"],
  ["9:00pm","9:02pm","9:03pm","9:04pm","9:06pm","9:08pm","9:10pm","9:11pm","9:12pm","9:13pm","9:14pm","9:15pm"],
  ["9:18pm","9:20pm","9:21pm","9:22pm","9:24pm","9:26pm","9:28pm","9:29pm","9:30pm","9:31pm","9:32pm","9:33pm"],
  ["9:36pm","9:38pm","9:39pm","9:40pm","9:42pm","9:44pm","9:46pm","9:47pm","9:48pm","9:49pm","9:50pm","9:51pm"],
  ["9:54pm","9:56pm","9:57pm","9:58pm","10:00pm","10:02pm","10:04pm","10:05pm","10:06pm","10:07pm","10:08pm","10:09pm"],
  ["10:12pm","10:14pm","10:15pm","10:16pm","10:18pm","10:20pm","10:22pm","10:23pm","10:24pm","10:25pm","10:26pm","10:27pm"],
  ["10:30pm","10:32pm","10:33pm","10:34pm","10:36pm","10:38pm","10:40pm","10:41pm","10:42pm","10:43pm","10:44pm","10:45pm"],
  ["10:48pm","10:50pm","10:51pm","10:52pm","10:54pm","10:56pm","10:58pm","10:59pm","11:00pm","11:01pm","11:02pm","11:03pm"]
];

const List<List<String>> weekday_west =[
  ["7:00am","7:01am","7:01am","7:03am","7:06am","7:08am","7:10am","7:12am","7:13am"],
  ["7:15am","7:16am","7:16am","7:18am","7:21am","7:23am","7:25am","7:27am","7:28am"],
  ["7:30am","7:31am","7:31am","7:33am","7:36am","7:38am","7:40am","7:42am","7:43am"],
  ["7:45am","7:46am","7:46am","7:48am","7:51am","7:53am","7:55am","7:57am","7:58am"],
  ["7:52am","7:53am","7:53am","7:55am","7:58am","8:01am","8:03am","8:05am","8:06am"],
  ["8:00am","8:01am","8:01am","8:03am","8:06am","8:08am","8:10am","8:12am","8:13am"],
  ["8:08am","8:09am","8:09am","8:10am","8:13am","8:15am","8:17am","8:19am","8:20am"],
  ["8:15am","8:16am","8:16am","8:18am","8:21am","8:23am","8:25am","8:27am","8:28am"],
  ["8:22am","8:23am","8:23am","8:25am","8:28am","8:30am","8:32am","8:34am","8:35am"],
  ["8:30am","8:31am","8:31am","8:33am","8:36am","8:38am","8:40am","8:42am","8:43am"],
  ["8:37am","8:38am","8:38am","8:40am","8:43am","8:45am","8:47am","8:49am","8:50am"],
  ["8:45am","8:46am","8:46am","8:48am","8:51am","8:53am","8:55am","8:57am","8:58am"],
  ["8:52am","8:53am","8:53am","8:55am","8:58am","9:00am","9:02am","9:04am","9:05am"],
  ["9:00am","9:01am","9:01am","9:03am","9:06am","9:08am","9:10am","9:12am","9:13am"],
  ["9:07am","9:08am","9:08am","9:10am","9:13am","9:15am","9:17am","9:19am","9:20am"],
  ["9:15am","9:16am","9:16am","9:18am","9:21am","9:23am","9:25am","9:27am","9:28am"],
  ["9:22am","9:23am","9:23am","9:25am","9:28am","9:30am","9:32am","9:34am","9:35am"],
  ["9:30am","9:31am","9:31am","9:33am","9:36am","9:38am","9:40am","9:42am","9:43am"],
  ["9:37am","9:38am","9:38am","9:40am","9:43am","9:45am","9:47am","9:49am","9:50am"],
  ["9:45am","9:46am","9:46am","9:48am","9:51am","9:53am","9:55am","9:57am","9:58am"],
  ["9:52am","9:53am","9:53am","9:55am","9:58am","10:00am","10:02am","10:04am","10:05am"],
  ["10:00am","10:01am","10:01am","10:03am","10:06am","10:08am","10:10am","10:12am","10:13am"],
  ["10:07pm","10:08pm","10:08pm","10:10pm","10:13pm","10:15pm","10:17pm","10:19pm","10207pm"],
  ["10:15am","10:16am","10:16am","10:18am","10:21am","10:23am","10:25am","10:27am","10:28am"],
  ["10:22pm","10:23pm","10:23pm","10:25pm","10:28pm","10:30pm","10:32pm","10:24pm","10:35pm"],
  ["10:30am","10:31am","10:31am","10:33am","10:36am","10:38am","10:40am","10:42am","10:43am"],
  ["10:37am","10:38am","10:38am","10:40am","10:43am","10:45am","10:47am","10:49am","10:50am"],
  ["10:45am","10:46am","10:46am","10:48am","10:51am","10:53am","10:55am","10:57am","10:58am"],
  ["10:52am","10:53am","10:53am","10:55am","10:58am","11:00am","11:02am","11:04am","11:05am"],
  ["11:00am","11:01am","11:01am","11:03am","11:06am","11:08am","11:10am","11:12am","11:13am"],
  ["11:07am","11:08am","11:08am","11:10am","11:13am","11:15am","11:17am","11:19am","11:20am"],
  ["11:15am","11:16am","11:16am","11:18am","11:21am","11:23am","11:25am","11:27am","11:28am"],
  ["11:22am","11:23am","11:23am","11:25am","11:28am","11:30am","11:32am","11:34am","11:35am"],
  ["11:30am","11:31am","11:31am","11:33am","11:36am","11:38am","11:40am","11:42am","11:43am"],
  ["11:37am","11:38am","11:38am","11:40am","11:43am","11:45am","11:47am","11:49am","11:50am"],
  ["11:45am","11:46am","11:46am","11:48am","11:51am","11:53am","11:55am","11:57am","11:58am"],
  ["11:52am","11:53am","11:53am","11:55am","11:58am","12:00pm","12:02pm","12:04pm","12:05pm"],
  ["12:00pm","12:01pm","12:01pm","12:03pm","12:06pm","12:08pm","12:10pm","12:12pm","12:13pm"],
  ["12:07pm","12:08pm","12:08pm","12:10pm","12:13pm","12:15pm","12:17pm","12:19pm","12:20pm"],
  ["12:15pm","12:16pm","12:16pm","12:18pm","12:21pm","12:23pm","12:25pm","12:27pm","12:28pm"],
  ["12:22pm","12:23pm","12:23pm","12:25pm","12:28pm","12:30pm","12:32pm","12:34pm","12:35pm"],
  ["12:30pm","12:31pm","12:31pm","12:33pm","12:36pm","12:38pm","12:40pm","12:42pm","12:43pm"],
  ["12:37pm","12:38pm","12:38pm","12:40pm","12:43pm","12:45pm","12:47pm","12:49pm","12:50pm"],
  ["12:45pm","12:46pm","12:46pm","12:48pm","12:51pm","12:53pm","12:55pm","12:57pm","12:58pm"],
  ["12:52pm","12:53pm","12:53pm","12:55pm","12:58pm","1:00pm","1:02pm","1:04pm","1:05pm"],
  ["1:00pm","1:01pm","1:01pm","1:03pm","1:06pm","1:08pm","1:10pm","1:12pm","1:13pm"],
  ["1:07pm","1:08pm","1:08pm","1:10pm","1:13pm","1:15pm","1:17pm","1:19pm","1:20pm"],
  ["1:15pm","1:16pm","1:16pm","1:18pm","1:21pm","1:23pm","1:25pm","1:27pm","1:28pm"],
  ["1:22pm","1:23pm","1:23pm","1:25pm","1:28pm","1:30pm","1:32pm","1:34pm","1:35pm"],
  ["1:30pm","1:31pm","1:31pm","1:33pm","1:36pm","1:38pm","1:40pm","1:42pm","1:43pm"],
  ["1:37pm","1:38pm","1:38pm","1:40pm","1:43pm","1:45pm","1:47pm","1:49pm","1:50pm"],
  ["1:45pm","1:46pm","1:46pm","1:48pm","1:50pm","1:52pm","1:54pm","1:56pm","1:57pm"],
  ["1:52pm","1:53pm","1:53pm","1:55pm","1:58pm","2:00pm","2:02pm","2:04pm","2:05pm"],
  ["2:00pm","2:01pm","2:01pm","2:03pm","2:06pm","2:08pm","2:10pm","2:12pm","2:13pm"],
  ["2:07pm","2:08pm","2:08pm","2:10pm","2:13pm","2:15pm","2:17pm","2:19pm","2:20pm"],
  ["2:15pm","2:16pm","2:16pm","2:18pm","2:21pm","2:23pm","2:25pm","2:27pm","2:28pm"],
  ["2:22pm","2:23pm","2:23pm","2:25pm","2:28pm","2:30pm","2:32pm","2:34pm","2:35pm"],
  ["2:30pm","2:31pm","2:31pm","2:33pm","2:36pm","2:38pm","2:40pm","2:42pm","2:43pm"],
  ["2:37pm","2:38pm","2:38pm","2:40pm","2:43pm","2:45pm","2:47pm","2:49pm","2:50pm"],
  ["2:52pm","2:53pm","2:53pm","2:55pm","2:58pm","3:00pm","3:02pm","3:04pm","3:05pm"],
  ["3:00pm","3:01pm","3:01pm","3:03pm","3:06pm","3:08pm","3:10pm","3:12pm","3:13pm"],
  ["3:07pm","3:08pm","3:08pm","3:10pm","3:13pm","3:15pm","3:17pm","3:19pm","3:20pm"],
  ["3:15pm","3:16pm","3:16pm","3:18pm","3:21pm","3:23pm","3:25pm","3:27pm","3:28pm"],
  ["3:22pm","3:23pm","3:23pm","3:25pm","3:28pm","3:30pm","3:32pm","3:34pm","3:35pm"],
  ["3:30pm","3:31pm","3:31pm","3:33pm","3:36pm","3:38pm","3:40pm","3:42pm","3:43pm"],
  ["3:45pm","3:46pm","3:46pm","3:48pm","3:51pm","3:53pm","3:55pm","3:57pm","3:58pm"],
  ["4:00pm","4:01pm","4:01pm","4:03pm","4:06pm","4:08pm","4:10pm","4:12pm","4:13pm"],
  ["4:15pm","4:16pm","4:16pm","4:18pm","4:21pm","4:23pm","4:25pm","4:27pm","4:28pm"],
  ["4:30pm","4:31pm","4:31pm","4:33pm","4:36pm","4:38pm","4:40pm","4:42pm","4:43pm"],
  ["4:45pm","4:46pm","4:46pm","4:48pm","4:51pm","4:53pm","4:55pm","4:57pm","4:58pm"],
  ["5:00pm","5:01pm","5:01pm","5:03pm","5:06pm","5:08pm","5:10pm","5:12pm","5:13pm"],
  ["5:15pm","5:16pm","5:16pm","5:18pm","5:21pm","5:23pm","5:25pm","5:27pm","5:28pm"],
  ["5:30pm","5:31pm","5:31pm","5:33pm","5:36pm","5:38pm","5:40pm","5:42pm","5:43pm"],
  ["5:45pm","5:46pm","5:46pm","5:48pm","5:51pm","5:53pm","5:55pm","5:57pm","5:58pm"],
  ["6:00pm","6:01pm","6:01pm","6:03pm","6:06pm","6:08pm","6:10pm","6:12pm","6:13pm"],
  ["6:15pm","6:16pm","6:16pm","6:18pm","6:21pm","6:23pm","6:25pm","6:27pm","6:28pm"],
  ["6:30pm","6:31pm","6:31pm","6:33pm","6:36pm","6:38pm","6:40pm","6:42pm","6:43pm"],
  ["6:45pm","6:46pm","6:46pm","6:48pm","6:51pm","6:53pm","6:55pm","6:57pm","6:58pm"],
  ["6:50pm","6:51pm","6:51pm","6:53pm","6:56pm","6:58pm","7:00pm","7:02pm","7:03pm"],
  ["7:00pm","7:01pm","7:01pm","7:03pm","7:06pm","7:08pm","7:10pm","7:12pm","7:13pm"],
  ["7:05pm","7:06pm","7:06pm","7:08pm","7:11pm","7:13pm","7:15pm","7:17pm","7:18pm"],
  ["7:15pm","7:16pm","7:16pm","7:18pm","7:21pm","7:23pm","7:25pm","7:27pm","7:28pm"],
  ["7:20pm","7:21pm","7:21pm","7:23pm","7:26pm","7:28pm","7:30pm","7:32pm","7:33pm"],
  ["7:30pm","7:31pm","7:31pm","7:33pm","7:36pm","7:38pm","7:40pm","7:42pm","7:43pm"],
  ["7:35pm","7:36pm","7:36pm","7:38pm","7:41pm","7:43pm","7:45pm","7:47pm","7:48pm"],
  ["7:45pm","7:46pm","7:46pm","7:48pm","7:51pm","7:53pm","7:55pm","7:57pm","7:58pm"],
  ["7:50pm","7:51pm","7:51pm","7:53pm","7:56pm","7:58pm","8:00pm","8:02pm","8:03pm"],
  ["8:00pm","8:01pm","8:01pm","8:03pm","8:06pm","8:08pm","8:10pm","8:12pm","8:13pm"],
  ["8:05pm","8:06pm","8:06pm","8:08pm","8:11pm","8:13pm","8:15pm","8:17pm","8:18pm"],
  ["8:15pm","8:16pm","8:16pm","8:18pm","8:21pm","8:23pm","8:25pm","8:27pm","8:28pm"],
  ["8:20pm","8:21pm","8:21pm","8:23pm","8:26pm","8:28pm","8:30pm","8:32pm","8:33pm"],
  ["8:30pm","8:31pm","8:31pm","8:33pm","8:36pm","8:38pm","8:40pm","8:42pm","8:43pm"],
  ["8:35pm","8:36pm","8:36pm","8:38pm","8:41pm","8:43pm","8:45pm","8:47pm","8:48pm"],
  ["8:45pm","8:46pm","8:46pm","8:48pm","8:51pm","8:53pm","8:55pm","8:57pm","8:58pm"],
  ["8:50pm","8:51pm","8:51pm","8:53pm","8:56pm","8:58pm","9:00pm","9:02pm","9:03pm"],
  ["9:00pm","9:01pm","9:01pm","9:03pm","9:06pm","9:08pm","9:10pm","9:12pm","9:13pm"],
  ["9:05pm","9:06pm","9:06pm","9:08pm","9:11pm","9:13pm","9:15pm","9:17pm","9:18pm"],
  ["9:15pm","9:16pm","9:16pm","9:18pm","9:21pm","9:23pm","9:25pm","9:27pm","9:28pm"],
  ["9:20pm","9:21pm","9:21pm","9:23pm","9:26pm","9:28pm","9:30pm","9:32pm","9:33pm"],
  ["9:30pm","9:31pm","9:31pm","9:33pm","9:36pm","9:38pm","9:40pm","9:42pm","9:43pm"],
  ["9:35pm","9:36pm","9:36pm","9:38pm","9:41pm","9:43pm","9:45pm","9:47pm","9:48pm"],
  ["9:45pm","9:46pm","9:46pm","9:48pm","9:51pm","9:53pm","9:55pm","9:57pm","9:58pm"],
  ["9:50pm","9:51pm","9:51pm","9:53pm","9:56pm","9:58pm","10:00pm","10:02pm","10:03pm"],
  ["10:00pm","10:01pm","10:01pm","10:03pm","10:06pm","10:08pm","10:10pm","10:12pm","10:13pm"],
  ["10:15pm","10:16pm","10:16pm","10:18pm","10:21pm","10:23pm","10:25pm","10:27pm","10:28pm"],
  ["10:30pm","10:31pm","10:31pm","10:33pm","10:36pm","10:38pm","10:40pm","10:42pm","10:43pm"],
  ["10:45pm","10:46pm","10:46pm","10:48pm","10:51pm","10:53pm","10:55pm","10:57pm","10:58pm"]
];

// BUS SCHEDULES //
const List<List<String>> stops_87 = [
  ["River St & Front St to 4th St & Fulton St","42.732941","-73.690010","07118"],
  ["4th St & Fulton St to Hoosick St & 6th Ave","42.732837","-73.688384","07130"],
  ["Hoosick St & 6th Ave to Burdett Ave & Samaritan Hospital","42.739727","-73.682889","03103"],
  ["Burdett Ave & Samaritan Hospital to 15th St & RPI Walk Over Bridge","42.733552"," -73.671388","0970"],
  ["15th St & RPI Walk Over Bridge to 2212 Burdett Ave","42.729469","-73.677643","02886"],
  ["2212 Burdett Ave to 716 Hoosick Rd (Price Chopper)","42.733488","-73.671350","07151"],
  ["716 Hoosick Rd (Price Chopper) to Walmart - Brunswick Plaza","42.74271","-73.642987","00033"],
];

const List<List<String>> stops_286 = [
  ["Vanderheyden Hall to Main Ave & Atlantic Ave","42.690565","73.614608","10978"],
  ["Main Ave & Atlantic Ave to Pawling Ave & Spring Ave","42.696309","-73.641741","04339"],
  ["Pawling Ave & Spring Ave to Myrtle Ave","42.708893","-73.663011","04368"],
  ["Myrtle Ave to Congress St & 15th St","42.711505","-73.666573","12357"],
  ["Congress St & 15th St to Sage Ave & Anderson Field","42.722699","-73.679570","10037"],
  ["Sage Ave & Anderson Field to River St & Front St","42.731096","-73.678897","11943"],
  ["River St & Front St to 4th St & Fulton St","42.732941","-73.690010","07118"],
  ["4th St & Fulton St to Sage Ave @ 87 Gymnasium PE Building","42.732837","-73.688384","07130"],
  ["Sage Ave @ 87 Gymnasium PE Building to Sunset Terr & Forsyth Dr","42.730971","-73.678716","11637"],
];
const List<List<String>> stops_289 = [
  ["Project St & Madison Ave to Myrtle Ave","42.713669","-73.677208","12359"],
  ["Myrtle Ave to Congress St & 15th St","42.711505","-73.666573","12357"],
  ["Congress St & 15th St to 4th St & Fulton St","42.722699","-73.679570","10037"],
  ["4th St & Fulton St to Sage Ave @ 87 Gymnasium PE Building","42.732837","-73.688384","07130"],
  ["Sage Ave @ 87 Gymnasium PE Building to 15th St & Massachusetts Ave","42.730971","-73.678716","11637"],
];

const List<List<String>> times_87 = [
  ["6:25 am","6:30 am","6:32 am","6:37 am","6:40 am","6:44 am","- - - -","6:49 am"],
  ["6:55 am","7:00 am","7:02 am","7:07 am","7:10 am","7:14 am","7:19 am","7:22 am"],
  ["7:25 am","7:30 am","7:32 am","7:37 am","7:40 am","7:44 am","- - - -","7:49 am"],
  ["7:55 am","8:00 am","8:02 am","8:07 am","8:10 am","8:14 am","8:19 am","8:22 am"],
  ["8:25 am","8:30 am","8:32 am","8:37 am","8:40 am","8:44 am","- - - -","8:49 am"],
  ["8:55 am","9:00 am","9:02 am","9:07 am","9:10 am","9:14 am","9:19 am","9:22 am"],
  ["9:25 am","9:30 am","9:34 am","9:40 am","9:43 am","9:48 am","- - - -","9:57 am"],
  ["9:55 am","10:00 am","10:04 am","10:10 am","10:13 am","10:18 am","10:26 am","10:30 am"],
  ["10:20 am","10:25 am","10:29 am","10:35 am","10:38 am","10:43 am","- - - -","10:52 am"],
  ["10:45 am","10:50 am","10:54 am","11:00 am","11:03 am","11:08 am","11:16 am","11:20 am"],
  ["11:10 am","11:15 am","11:19 am","11:25 am","11:28 am","11:33 am","- - - -","11:42 am"],
  ["11:35 am","11:40 am","11:44 am","11:50 am","11:53 am","11:58 am","12:06 pm","12:10 pm"],
  ["12:00 pm","12:05 pm","12:09 pm","12:15 pm","12:18 pm","12:23 pm","- - - -","12:32 pm"],
  ["12:25 pm","12:30 pm","12:34 pm","12:40 pm","12:43 pm","12:48 pm","12:56 pm","1:00 pm"],
  ["12:50 pm","12:55 pm","12:59 pm","1:05 pm","1:08 pm","1:13 pm","- - - -","1:22 pm"],
  ["1:15 pm","1:20 pm","1:24 pm","1:30 pm","1:33 pm","1:38 pm","1:46 pm","1:50 pm"],
  ["1:40 pm","1:45 pm","1:49 pm","1:55 pm","1:58 pm","2:03 pm","- - - -","2:12 pm"],
  ["2:05 pm","2:10 pm","2:14 pm","2:20 pm","2:23 pm","2:28 pm","2:36 pm","2:40 pm"],
  ["2:30 pm","2:35 pm","2:39 pm","2:45 pm","2:48 pm","2:53 pm","- - - -","3:02 pm"],
  ["2:55 pm","3:00 pm","3:04 pm","3:10 pm","3:13 pm","3:18 pm","3:26 pm","3:30 pm"],
  ["3:20 pm","3:25 pm","3:29 pm","3:35 pm","3:38 pm","3:43 pm","- - - -","3:52 pm"],
  ["3:45 pm","3:50 pm","3:54 pm","4:00 pm","4:03 pm","4:08 pm","4:16 pm","4:20 pm"],
  ["4:10 pm","4:15 pm","4:19 pm","4:25 pm","4:28 pm","4:33 pm","- - - -","4:42 pm"],
  ["4:35 pm","4:40 pm","4:44 pm","4:50 pm","4:53 pm","4:58 pm","5:06 pm","5:10 pm"],
  ["5:00 pm","5:05 pm","5:09 pm","5:15 pm","5:18 pm","5:23 pm","- - - -","5:32 pm"],
  ["5:25 pm","5:30 pm","5:34 pm","5:40 pm","5:43 pm","5:48 pm","5:56 pm","6:00 pm"],
  ["5:50 pm","5:55 pm","5:59 pm","6:05 pm","6:08 pm","6:13 pm","- - - -","6:22 pm"],
  ["6:30 pm","6:34 pm","6:37 pm","6:43 pm","6:46 pm","6:51 pm","6:58 pm","7:01 pm"],
  ["7:10 pm","7:14 pm","7:17 pm","7:23 pm","7:26 pm","7:31 pm","7:38 pm","7:41 pm"],
  ["7:50 pm","7:54 pm","7:57 pm","8:03 pm","8:06 pm","8:11 pm","8:18 pm","8:21 pm"],
  ["8:30 pm","8:34 pm","8:37 pm","8:43 pm","8:46 pm","8:51 pm","8:58 pm","9:01 pm"],
  ["9:35 pm","9:39 pm","9:42 pm","9:48 pm","9:51 pm","9:56 pm","10:03 pm","10:06 pm"],
  ["10:35 pm","10:39 pm","10:41 pm","10:46 pm","10:49 pm","10:53 pm","10:58 pm","11:02 pm"],

];

const List<List<String>> times_286 = [
  ["10:56 am","11:00 am","11:04 am","- - - -","11:08 am","11:10 am","11:15 am","- - - -","- - - -","- - - -"],
  ["11:56 am","12:00 pm","12:04 pm","- - - -","12:08 pm","12:10 pm","12:15 pm","- - - -","- - - -","- - - -"],
  ["12:56 pm","1:00 pm","1:04 pm","- - - -","1:08 pm","1:10 pm","1:15 pm","- - - -","- - - -","- - - -"],
  ["1:56 pm","2:00 pm","2:04 pm","- - - -","2:08 pm","2:10 pm","2:15 pm","- - - -","- - - -","- - - -"],
  ["2:56 pm","3:00 pm","3:04 pm","- - - -","3:08 pm","3:10 pm","3:15 pm","- - - -","- - - -","- - - -"],
  ["3:56 pm","4:00 pm","4:04 pm","- - - -","4:08 pm","4:10 pm","4:15 pm","- - - -","- - - -","- - - -"],
  ["4:56 pm","5:00 pm","5:04 pm","- - - -","5:08 pm","5:10 pm","5:15 pm","- - - -","- - - -","- - - -"],
  ["5:56 pm","6:00 pm","6:04 pm","- - - -","6:08 pm","6:10 pm","6:15 pm","- - - -","- - - -","- - - -"],
  ["6:56 pm","7:00 pm","7:04 pm","- - - -","7:08 pm","7:10 pm","7:15 pm","- - - -","- - - -","- - - -"],
  ["7:56 pm","8:00 pm","8:04 pm","- - - -","8:08 pm","8:10 pm","8:15 pm","- - - -","- - - -","- - - -"],
  ["- - - -","- - - -","- - - -","9:00 pm","9:03 pm","9:05 pm","9:10 pm","9:15 pm","9:19 pm","9:24 pm"],
  ["- - - -","- - - -","- - - -","10:00 pm","10:03 pm","10:05 pm","10:10 pm","10:15 pm","10:19 pm","10:24 pm"],
  ["- - - -","- - - -","- - - -","11:00 pm","11:03 pm","11:05 pm","11:10 pm","11:15 pm","11:19 pm","11:24 pm"],
  ["- - - -","- - - -","- - - -","12:00 am","12:03 am","12:05 am","12:10 am","12:15 am","12:19 am","12:24 am"],
];
const List<List<String>> times_289 = [
  ["7:30 am","7:33 am","7:39 am","7:45 am","7:50 am","7:55 am"],
  ["8:30 am","8:33 am","8:39 am","8:45 am","8:50 am","8:55 am"],
  ["9:30 am","9:33 am","9:39 am","9:45 am","9:50 am","9:55 am"],
  ["10:30 am","10:33 am","10:39 am","10:45 am","10:50 am","10:55 am"],
  ["11:30 am","11:33 am","11:39 am","11:45 am","11:50 am","11:55 am"],
  ["12:30 pm","12:33 pm","12:39 pm","12:45 pm","12:50 pm","12:55 pm"],
  ["1:30 pm","1:33 pm","1:39 pm","1:45 pm","1:50 pm","1:55 pm"],
  ["2:30 pm","2:33 pm","2:39 pm","2:45 pm","2:50 pm","2:55 pm"],
  ["3:30 pm","3:33 pm","3:39 pm","3:45 pm","3:50 pm","3:55 pm"],
  ["4:30 pm","4:33 pm","4:39 pm","4:45 pm","4:50 pm","4:55 pm"],
  ["5:30 pm","5:33 pm","5:39 pm","5:45 pm","5:50 pm","5:55 pm"],
  ["6:30 pm","6:33 pm","6:39 pm","6:45 pm","6:50 pm","6:55 pm"],
  ["7:30 pm","7:33 pm","7:39 pm","7:45 pm","7:50 pm","7:55 pm"],
  ["8:30 pm","8:33 pm","8:39 pm","8:45 pm","8:50 pm","8:55 pm"],
  ["9:30 pm","9:33 pm","9:39 pm","9:45 pm","9:50 pm","9:55 pm"],
  ["10:30 pm","10:33 pm","10:39 pm","10:45 pm","10:50 pm","10:55 pm"],
  ["11:30 pm","11:33 pm","11:39 pm","11:45 pm","- - - -","- - - -"],
];

const List<List<double>> polyline_87 = [
  [
    42.74653,
    -73.63947
  ],
  [
    42.7449,
    -73.63959
  ],
  [
    42.74485,
    -73.64107
  ],
  [
    42.74561,
    -73.64114
  ],
  [
    42.74651,
    -73.63947
  ],
  [
    42.74668,
    -73.64004
  ],
  [
    42.74475,
    -73.64325
  ],
  [
    42.74441,
    -73.64253
  ],
  [
    42.74317,
    -73.64263
  ],
  [
    42.74285,
    -73.64212
  ],
  [
    42.74247,
    -73.64236
  ],
  [
    42.74286,
    -73.64289
  ],
  [
    42.74321,
    -73.64262
  ],
  [
    42.74443,
    -73.64253
  ],
  [
    42.74475,
    -73.64323
  ],
  [
    42.74364,
    -73.6452
  ],
  [
    42.7412,
    -73.65457
  ],
  [
    42.7387,
    -73.66024
  ],
  [
    42.73751,
    -73.66426
  ],
  [
    42.73826,
    -73.67006
  ],
  [
    42.72477,
    -73.67382
  ],
  [
    42.72569,
    -73.67845
  ],
  [
    42.72781,
    -73.67807
  ],
  [
    42.73302,
    -73.67654
  ],
  [
    42.73238,
    -73.67163
  ],
  [
    42.73829,
    -73.67006
  ],
  [
    42.73938,
    -73.67785
  ],
  [
    42.73965,
    -73.6859
  ],
  [
    42.73557,
    -73.68753
  ],
  [
    42.73422,
    -73.68849
  ],
  [
    42.73421,
    -73.68957
  ],
  [
    42.72766,
    -73.69107
  ],
  [
    42.7275,
    -73.68983
  ],
  [
    42.73418,
    -73.68854
  ],
  [
    42.73582,
    -73.68629
  ],
  [
    42.73729,
    -73.68682
  ]
];

const List<List<double>> polyline_286 = [
  [
    42.69018,
    -73.61452
  ],
  [
    42.69037,
    -73.61431
  ],
  [
    42.69054,
    -73.61457
  ],
  [
    42.69036,
    -73.61478
  ],
  [
    42.69019,
    -73.61453
  ],
  [
    42.6899,
    -73.61448
  ],
  [
    42.68996,
    -73.62079
  ],
  [
    42.69029,
    -73.62205
  ],
  [
    42.69133,
    -73.62403
  ],
  [
    42.69161,
    -73.62487
  ],
  [
    42.69242,
    -73.62884
  ],
  [
    42.69285,
    -73.63216
  ],
  [
    42.69336,
    -73.63449
  ],
  [
    42.6942,
    -73.63574
  ],
  [
    42.69481,
    -73.63671
  ],
  [
    42.69515,
    -73.63784
  ],
  [
    42.69633,
    -73.64208
  ],
  [
    42.69732,
    -73.64688
  ],
  [
    42.69796,
    -73.64979
  ],
  [
    42.69853,
    -73.65085
  ],
  [
    42.69965,
    -73.65208
  ],
  [
    42.70134,
    -73.65482
  ],
  [
    42.7019,
    -73.65664
  ],
  [
    42.70232,
    -73.6572
  ],
  [
    42.70522,
    -73.65993
  ],
  [
    42.70615,
    -73.66098
  ],
  [
    42.707,
    -73.66172
  ],
  [
    42.70946,
    -73.66355
  ],
  [
    42.7106,
    -73.66939
  ],
  [
    42.71326,
    -73.66666
  ],
  [
    42.71219,
    -73.66586
  ],
  [
    42.71028,
    -73.66787
  ],
  [
    42.70946,
    -73.66356
  ],
  [
    42.71066,
    -73.66472
  ],
  [
    42.71331,
    -73.66667
  ],
  [
    42.71456,
    -73.66763
  ],
  [
    42.7165,
    -73.66982
  ],
  [
    42.71765,
    -73.67113
  ],
  [
    42.71877,
    -73.6733
  ],
  [
    42.71922,
    -73.6745
  ],
  [
    42.71974,
    -73.67483
  ],
  [
    42.72188,
    -73.67543
  ],
  [
    42.72222,
    -73.67593
  ],
  [
    42.72195,
    -73.67829
  ],
  [
    42.72209,
    -73.67889
  ],
  [
    42.72274,
    -73.67976
  ],
  [
    42.72338,
    -73.67921
  ],
  [
    42.72573,
    -73.67844
  ],
  [
    42.72737,
    -73.67803
  ],
  [
    42.72787,
    -73.67802
  ],
  [
    42.733,
    -73.67657
  ],
  [
    42.73228,
    -73.6709
  ],
  [
    42.73185,
    -73.67043
  ],
  [
    42.73164,
    -73.66921
  ],
  [
    42.73111,
    -73.66789
  ],
  [
    42.73084,
    -73.66723
  ],
  [
    42.73096,
    -73.66679
  ],
  [
    42.73184,
    -73.66608
  ],
  [
    42.73352,
    -73.66409
  ],
  [
    42.73398,
    -73.66355
  ],
  [
    42.7342,
    -73.66339
  ],
  [
    42.73398,
    -73.66356
  ],
  [
    42.73351,
    -73.6641
  ],
  [
    42.73183,
    -73.66609
  ],
  [
    42.73094,
    -73.6668
  ],
  [
    42.73084,
    -73.66726
  ],
  [
    42.73163,
    -73.66915
  ],
  [
    42.73188,
    -73.67048
  ],
  [
    42.73228,
    -73.67085
  ],
  [
    42.73299,
    -73.67657
  ],
  [
    42.73077,
    -73.67724
  ],
  [
    42.73123,
    -73.68016
  ],
  [
    42.73147,
    -73.68122
  ],
  [
    42.73166,
    -73.68146
  ],
  [
    42.73216,
    -73.68178
  ],
  [
    42.73288,
    -73.68248
  ],
  [
    42.73312,
    -73.68349
  ],
  [
    42.73378,
    -73.68328
  ],
  [
    42.73348,
    -73.68442
  ],
  [
    42.73356,
    -73.68527
  ],
  [
    42.73397,
    -73.68652
  ],
  [
    42.73462,
    -73.688
  ],
  [
    42.73422,
    -73.6885
  ],
  [
    42.73419,
    -73.68964
  ],
  [
    42.72768,
    -73.69107
  ],
  [
    42.72751,
    -73.68983
  ],
  [
    42.73422,
    -73.68842
  ],
  [
    42.7346,
    -73.68797
  ],
  [
    42.73365,
    -73.68568
  ],
  [
    42.73315,
    -73.68348
  ]
];

const List<List<double>> polyline_289 = [
  [
    42.74449,
    -73.67339
  ],
  [
    42.74006,
    -73.67458
  ],
  [
    42.73075,
    -73.67719
  ],
  [
    42.73145,
    -73.68123
  ],
  [
    42.73289,
    -73.68246
  ],
  [
    42.73315,
    -73.68353
  ],
  [
    42.73377,
    -73.68332
  ],
  [
    42.73349,
    -73.68489
  ],
  [
    42.73313,
    -73.68354
  ],
  [
    42.73379,
    -73.68332
  ],
  [
    42.73349,
    -73.685
  ],
  [
    42.73461,
    -73.68799
  ],
  [
    42.73424,
    -73.68855
  ],
  [
    42.73422,
    -73.68957
  ],
  [
    42.72764,
    -73.69107
  ],
  [
    42.72719,
    -73.68661
  ],
  [
    42.72759,
    -73.68513
  ],
  [
    42.72706,
    -73.683
  ],
  [
    42.72664,
    -73.68174
  ],
  [
    42.72446,
    -73.6812
  ],
  [
    42.72322,
    -73.6805
  ],
  [
    42.722,
    -73.67867
  ],
  [
    42.72226,
    -73.67551
  ],
  [
    42.71927,
    -73.67461
  ],
  [
    42.71762,
    -73.671
  ],
  [
    42.7148,
    -73.66788
  ],
  [
    42.71328,
    -73.66662
  ],
  [
    42.71062,
    -73.6694
  ],
  [
    42.71074,
    -73.67049
  ],
  [
    42.70992,
    -73.67291
  ],
  [
    42.70862,
    -73.67442
  ],
  [
    42.71021,
    -73.67506
  ],
  [
    42.71087,
    -73.67629
  ],
  [
    42.71058,
    -73.67846
  ],
  [
    42.71088,
    -73.67897
  ],
  [
    42.71139,
    -73.67902
  ],
  [
    42.71377,
    -73.67722
  ],
  [
    42.71128,
    -73.67096
  ],
  [
    42.71148,
    -73.67036
  ],
  [
    42.71071,
    -73.66992
  ],
  [
    42.71027,
    -73.66784
  ],
  [
    42.71219,
    -73.66588
  ],
  [
    42.7133,
    -73.66663
  ],
  [
    42.71481,
    -73.66787
  ],
  [
    42.71755,
    -73.67108
  ],
  [
    42.71927,
    -73.67449
  ],
  [
    42.72223,
    -73.67559
  ],
  [
    42.72198,
    -73.67866
  ],
  [
    42.72322,
    -73.68041
  ],
  [
    42.72447,
    -73.68122
  ],
  [
    42.72667,
    -73.68179
  ],
  [
    42.72766,
    -73.6851
  ],
  [
    42.72828,
    -73.6869
  ],
  [
    42.72866,
    -73.6896
  ],
  [
    42.73438,
    -73.68834
  ]
];